import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {API_URL} from "../../app.constants";

@Injectable({
  providedIn: 'root'
})
export class TestingApiService {

  constructor(private httpClient: HttpClient) { }

  public simulateVersus() {
    return this.httpClient.post(`${API_URL}/versus/simulate-versus`, {});
  }

  resetAllVersusTasksAsIncompleted() {
    return this.httpClient.post(`${API_URL}/versus/reset-all`, {});
  }

  resetAllPlayersScore() {
    return this.httpClient.post(`${API_URL}/guests/reset-score`, {});
  }

  clearGameQueue() {
    return this.httpClient.post(`${API_URL}/game/clear-queue`, {});
  }

  simulateEndGamePoints() {
    return this.httpClient.post(`${API_URL}/quiz/calculate-endgame-extrapoints`, {})
  }
}
